setwd("~/Dropbox/Bayesian.Divergence")
getwd()
#remember that I need all the necessary files in the Bayesian.Divergence folder

library(ape)
##to convert a figtree file that was made in TNT you have to first add this:
# #NEXUS
# BEGIN TREES;
# TREE '<treename>' = 
# This replaces the xread line and immediately precedes the newick tree.

#####################
#How to do a point occurrence timetree using Paleotree

library(gdata)
archoData <- read.xls("~/Dropbox/Bayesian.Divergence/fossil.dating.pruned.point.xlsx", sheet=3, method=c("tab"))

archoTime<-data.matrix(archoData[2:3]); names<-archoData$TAXON; rownames(archoTime)<-names; archoTime #This converts the data.frame from the excel file to a matrix. Taxon names from the dataframe archoTime are assigned to the object "names" and then applied to the rownames of archoTime. This makes the matrix with the rownames equal to the taxon names in the first row of the xls file.

archoTree<-read.nexus("archo.bayes.pruned.txt.con.tre")
plot(archoTree)

library(paleotree)
# timePaleoPhy(tree, timeData, type = "basic", vartime = NULL, ntrees = 1,
#randres = FALSE, timeres = FALSE, add.term = FALSE,
#inc.term.adj = FALSE, dateTreatment = "firstLast", node.mins = NULL,
#noisyDrop = TRUE, plot = FALSE)


ttree<-timePaleoPhy(archoTree, archoTime, type="basic", ntree=1, dateTreatment="minMax", plot=FALSE)
write.tree(ttree, file="archo.basic.tre")

ttreeEqual<-timePaleoPhy(archoTree, archoTime, type="equal",vartime=1, ntree=1, dateTreatment="minMax", noisyDrop = FALSE, plot=FALSE)

write.tree(ttreeEqual, file="archo.equal.tre")

ttreeEqual<-timePaleoPhy(archoTree, archoTime, type="equal",vartime=5, ntree=1, dateTreatment="minMax", noisyDrop = FALSE, plot=FALSE)

write.tree(ttreeEqual, file="archo.equal.vartime5.tre")

ttreeEqual<-timePaleoPhy(archoTree, archoTime, type="equal",vartime=10, ntree=1, dateTreatment="minMax", noisyDrop = FALSE, plot=FALSE)

write.tree(ttreeEqual, file="archo.equal.vartime10.tre")
